
%global meadversion 201103
%global namedversion 201103-redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 2

%bcond_without mead

%{?scl:%scl_package rngom}
%{!?scl:%global eap -eap6}
%{?scl:%global javadir %{_javadir}/rngom-eap6}
%{!?scl:%global javadir %{_javadir}/rngom-eap6}

%define maven_version 201103-redhat-3

Name:           %{?scl_prefix}rngom%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        RELAX NG Object Model / Parser
Group:          Development/Java

%if %with mead
Source100: rngom-201103-redhat-3-scm-sources.zip
Source101: rngom-201103-redhat-3-patches.zip
Source102: rngom-201103-redhat-3-javadoc.jar
Source103: rngom-201103-redhat-3.pom
Source104: rngom-201103-redhat-3-sources.jar
Source105: rngom-201103-redhat-3.jar
%endif

License:        MIT
URL:            http://rngom.java.net/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%{?scl:Requires: %scl_runtime}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{?scl_prefix}rngom%{?eap}-%{namedversion}-%{release}-root

%description
RNGOM is an open-source Java library for parsing RELAX NG grammars.

%prep
%setup -q -n rngom -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/rngom-%{namedversion}.jar %{buildroot}%{javadir}/rngom-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/rngom-%{namedversion}-sources.jar %{buildroot}%{javadir}/rngom-%{namedversion}-sources.jar
(cd %{buildroot}%{javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%files
%defattr(0644,root,root,0755)
%dir %{javadir}
%{javadir}/rngom-%{namedversion}.jar
%{javadir}/rngom.jar
%{javadir}/rngom-%{namedversion}-sources.jar
%{javadir}/rngom-sources.jar

%changelog
* Thu May 08 2014 Permaine Cheung <pcheung@redhat.com> - 201103-2.redhat_3.1
- Rewrap

* Thu May 08 2014 Permaine Cheung <pcheung@redhat.com> - 201103-2.redhat_3.1
- Rewrap

* Thu Jan 16 2014 David Walluck <dwalluck@redhat.com> - 201103-1.redhat_3.1
- initial build

* Thu Jan 16 2014 David Walluck <dwalluck@redhat.com> - 201103-1.redhat_3.1
- initial build

* Thu Jan 16 2014 David Walluck <dwalluck@redhat.com> - 201103-1.redhat_3.1
- initial build

